spring.application.name = Dummy Company

server.port = 5200

db.database = dummyCompany_db
db.host = localhost
db.port = 3306
db.username = root
db.password = root

spring.datasource.url = jdbc:mysql://${db.host}:${db.port}/${db.database}?allowPublicKeyRetrieval=true&useSSL=false
spring.datasource.username = ${db.username}
spring.datasource.password = ${db.password}
spring.datasource.test-on-borrow = true
spring.datasource.validation-query = SELECT 1

spring.batch.initialize.schema = 'always'
spring.jpa.show-sql = false
spring.jpa.generate-ddl = false
spring.jpa.hibernate.ddl-auto = update
spring.jpa.blockchainProperties.hibernate.dialect = org.hibernate.dialect.MariaDB53Dialect

blockchain.account = 0xee33f2045667a8b1477C3BAa5f3f2660d0B31A35
blockchain.passphrase = dummyPass
blockchain.privateKey = pvtk